import { Observable } from "rxjs";
import { QueryResult, EditResult } from '@yukawa/chain-base-angular-domain';
import { ProjectSheet, Project } from "../../../gen/domain";
import { ProjectSheetFilter, ProjectFilter } from "../../../gen/filter";
export interface ProjectAspect {
    Projects: Project[];
    queryProject(filter: ProjectFilter | any): Observable<QueryResult<Project>>;
    loadProject(id: string, shortName: string): Observable<Project>;
    saveProject(project: Project): Observable<any>;
    deleteProject(id: any): Observable<EditResult>;
    newProject(id: string, shortName: string): Observable<Project>;
}
/**
 * @deprecated use chain-tracker-core
 */
export interface ProjectSheetAspect {
    queryProjectSheet(filter: ProjectSheetFilter | any): Observable<QueryResult<ProjectSheet>>;
    loadProjectSheet(id: string, shortName: string): Observable<ProjectSheet>;
    saveProjectSheet(project: Project): Observable<any>;
    deleteProjectSheet(id: any): Observable<EditResult>;
}
